@import '../../../styles/--scss-vars.scss';

.custom-radio {
  width: $subdiv * 3 + 1;
  height: $subdiv * 3 + 1;
  border: 1px solid $color-d5;
  background-color: $color-d5;
  -webkit-appearance: none;
  @include border-radius(50%);
  vertical-align: middle;
  position: relative;
  &::before {
    content: '';
    @include position(absolute, 0, 0, 0, 0);
    margin: auto;
    width: $subdiv * 2 - 2;
    height: $subdiv * 2 - 2;
    @include border-radius(50%);
    background-color: $color-f1;
    display: none;
  }
  &:checked::before {
    display: block;
  }
}
